<template>
	<view :class="['f-col','aic',{'gray':store.isgray==1}]">
		<dataCom title="实时输差" :list="shishiArr"></dataCom>
		<dataCom title="偏远计量点" :list="shishiArr"></dataCom>
		<dataCom title="生产实时数据" :list="productArr"></dataCom>

	</view>
</template>

<script setup>
	import dataCom from '@/bpm/dataCom.vue';
	import {
		onLoad
	} from '@dcloudio/uni-app';
	import {
		ref
	} from 'vue';
	import {
		useStore
	} from '@/store'
	const store = useStore()
	const shishiArr = ref([])
	const productArr = ref([])
	onLoad((options) => {
		shishiArr.value = JSON.parse(options.shishi)
		productArr.value = JSON.parse(options.product)
	})
</script>

<style lang="scss" scoped>

</style>